# TODO
# - config to /etc
%define		ver	%(echo %{version} | tr . _)
Summary:	TCPDF - PHP class for PDF
Name:		php-tcpdf
Version:	6.2.6
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://downloads.sourceforge.net/tcpdf/tcpdf_%{ver}.zip
# Source0-md5:	9185f0ca4ecc65fb8a1dc115ab96b52b
URL:		http://www.tcpdf.org/
BuildRequires:	fonts-TTF-DejaVu
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	php(core) >= 5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/tcpdf

%description
Generic TCPDF screenshot TCPDF is a PHP class for generating PDF
documents without requiring external extensions. TCPDF Supports UTF-8,
Unicode, RTL languages and HTML.

%package examples
Summary:	TCPDF example programs
Summary(pl.UTF-8):	TCPDF programy przykładowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description examples
TCPDF example programs.

%description examples -l pl.UTF-8
TCPDF - przykładowe programy.

%prep
%setup -q -n tcpdf
%undos *.TXT

%build
for a in %{_datadir}/fonts/TTF/DejaVuS*; do
	php tools/tcpdf_addfont.php -t TrueTypeUnicode -i $a
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}

cp -a *.php config fonts include $RPM_BUILD_ROOT%{_appdir}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -r $RPM_BUILD_ROOT%{_appdir}/fonts/*-*
rm -rf $RPM_BUILD_ROOT%{_appdir}/fonts/utils

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.TXT README.TXT
%{_appdir}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-tcpdf.git;a=log;h=master

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 853004d
- BR fonts-TTF-DejaVu

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 6c2cbd5
- subpackage examples

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 3995e87
- cleanups

* Tue Mar 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 406b91a
- up to 6.2.6

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3987472
- up to 6.0.084

* Tue Feb 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 68532b3
- up to 6.0.060

* Tue Nov 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 17f1585
- up to 6.0.043

* Tue Jul 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 50b05bb
- no docdir needed

* Tue Jul 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1162636
- up to 6.0.020; doc was empty, so dropped

* Tue May 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f6c3dc8
- rel 2; add missing include dir

* Tue May 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ded62e1
- up to 6.0.014

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c0a0b18
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Sat Mar 17 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ac05e
- up to 5.9.150

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a13238b
- new url

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cb46ca6
- up to 5.9.144

* Sun May 16 2010 sparky <sparky@pld-linux.org> ec0c976
- BR: unzip

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 2be9618
- updated to 4.8.021

* Wed Oct 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 606dbd8
- up to 4.8.013

* Sat Apr 25 2009 Adam Gołębiowski <adamg@pld-linux.org> fcf3ed7
- updated to 4.6.003

* Sat Mar 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 844a8f0
- updated to 4.5.023

